package gov.va.vss.web.serviceParameters;

import java.util.List;

import gov.va.vss.model.voluntaryService.VoluntaryServiceParameters;
import gov.va.vss.model.voluntaryService.VoluntaryServiceStaff;
import gov.va.vss.web.AbstractVssCommand;

public class ServiceParametersCommand extends AbstractVssCommand {

	// -------------------------------- Fields

	private VoluntaryServiceParameters serviceParameters;
	List<VoluntaryServiceStaff> voluntaryServiceStaffs;
	private boolean changeLastReviewedDate = false;
	private VoluntaryServiceStaff voluntaryServiceStaff;

	// -------------------------------- Constructors

	public ServiceParametersCommand() {
	}

	public ServiceParametersCommand(VoluntaryServiceParameters serviceParameters) {
		this.serviceParameters = serviceParameters;
	}

	// -------------------------------- Accessor Methods

	public VoluntaryServiceParameters getServiceParameters() {
		return serviceParameters;
	}

	public void setServiceParameters(VoluntaryServiceParameters serviceParameters) {
		this.serviceParameters = serviceParameters;
	}

	public boolean isChangeLastReviewedDate() {
		return changeLastReviewedDate;
	}

	public void setChangeLastReviewedDate(boolean changeLastReviewedDate) {
		this.changeLastReviewedDate = changeLastReviewedDate;
	}

	public List<VoluntaryServiceStaff> getVoluntaryServiceStaffs() {
		return voluntaryServiceStaffs;
	}

	public void setVoluntaryServiceStaffs(List<VoluntaryServiceStaff> voluntaryServiceStaffs) {
		this.voluntaryServiceStaffs = voluntaryServiceStaffs;
	}

	public VoluntaryServiceStaff getVoluntaryServiceStaff() {
		return voluntaryServiceStaff;
	}

	public void setVoluntaryServiceStaff(VoluntaryServiceStaff voluntaryServiceStaff) {
		this.voluntaryServiceStaff = voluntaryServiceStaff;
	}
	
	

}
